Package org.apache.tiles.web.jsp.taglib

# Class SetCurrentContainerTag

java.lang.Object
jakarta.servlet.jsp.tagext.SimpleTagSupport
org.apache.tiles.web.jsp.taglib.SetCurrentContainerTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.SimpleTag`

public class SetCurrentContainerTag extends jakarta.servlet.jsp.tagext.SimpleTagSupport
Selects a container to be used as the "current" container.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetCurrentContainerTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doTag()`
  `String`
  `getContainerKey()`
  Getter for containerKey property.
  `void`
  `setContainerKey(String containerKey)`
  Setter for containerKey property.

  ### Methods inherited from class jakarta.servlet.jsp.tagext.SimpleTagSupport

  `findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SetCurrentContainerTag

    public SetCurrentContainerTag()

- ## Method Details

  - ### getContainerKey

    public String getContainerKey()
    Getter for containerKey property.
    Returns:
      The key of the container to be used as "current". If null, the default one will be used.

  - ### setContainerKey

    public void setContainerKey(String containerKey)
    Setter for containerKey property.
    Parameters:
      `containerKey` - The key of the container to be used as "current". If null, the default one will be used.

  - ### doTag

    public void doTag() throws jakarta.servlet.jsp.JspException, IOException
    Specified by:
      `doTag` in interface `jakarta.servlet.jsp.tagext.SimpleTag`
    Overrides:
      `doTag` in class `jakarta.servlet.jsp.tagext.SimpleTagSupport`
    Throws:
      `jakarta.servlet.jsp.JspException`
      `IOException`